Subject: Re: [PCN] charter, addition to scope

From: Lars Westberg <[email-masked]>
Date: Thu, 01 Feb 2007 09:52:12 +0100

thanks for your comment.
I think that people are confused about the relation of the application.
It is actually a simpler solution because I think we should rely in this 
scenario on that the MGW has some way of reporting the result of PCN to 
the application.
 My suggestion we should exclude:
       -What type of the application.
       -internal interaction (signalling between the nodes,......

My suggestion is that we should assume that the MGW can:
-metering of marked packets
- limit/reduce the traffic when PCN is experienced. I assume that the 
MGW can do it in some way but how this is done should be out-of-scope.
- has an  internall application feedback between MGWs. How this is 
reprted/signalled should be out-of scope.
- One single domain (the same scope as diff.serv domain). I am 
suggesting a scenario when the MGW are "directly" connected to the 
PCN-domain.

The scenario is more or less similar to the edge-router case

does it make a difference to the edge-router scenario ?

yes, I think so.
In the edge-router case, the algortihm and protocol design is 
limited/aligned by the Eedge-router functionality as defined in 
Diff.serv. and the protocol design has to interact with RSVP-states.
In the  this scenario, the protocol implemetation may be simpler and the 
architecture has to be more open for other usage.

regards Lasse

[email-masked] wrote:

> Georgios wrote:
>
> > > On 2007-1-30, at 2:39, ext Jozef Babiarz wrote:
> > > > In the first phase of PCN work to reduce the list of issues it was
>
> > > > proposed that the WG focus on network deployment scenario where
> all
> > > > nodes can be trusted and delay work on deployment scenarios where
> some
> > > > of the nodes are not trusted.
> > >
> > > (by Lars:) If by "nodes" you mean routers, then yes, I agree. If
> "nodes"
> > > include end systems, proxies or other entities, then I don't
> > > agree we had agreement on that.
> >
> > Georgios: This imposes an additional restriction on the scope
> > of the charter, which has been not discussed yet.
> > >From what I remember before, during and after the PCN BOF
> > there was no objection on using
> > the term edge node, that could mean something different than a edge
> router.
> > Please note that this is something different than a scenario covered
> by
> > an application based deployment model.
>
> It's certainly not a new restriction based on the discussion in the
> BOF engendered about whether a SIP telephone (used on some of the
> slides) was a good example.  I believe the BOF conclusion was that
> a SIP telephone was a bad example.
>
> IMHO, a SIP telephone causes two sets of issues wrt the proposed work:
>         (1) It speaks SIP, and
>         (2) It's a telephone ;-)
> The first set of issues  has already been discussed extensively - my
> understanding is that the SIP scenario is currently out of scope, and
> I don't care to reopen that discussion.
>
> The "telephone" issues come up in two ways:
> (2a) Small number of flows may make relatively fine-grained adjustment
>         on the link to the phone impossible.  The PCN work prior to
>         the BOF relied on the ability to make such adjustments.
> (2b) While other sorts of phones may be trusted, a SIP phone (which
>         may be software-only) is definitely not trustable in general.
>
> I would observe that Lars Westerberg's suggestion of a Media Gateway:
>
> > I am referring telecom scenario where MGWs are connected to an
> IP-backbone.
> > In these scenarios, the admission control function is a part of the
> MGW
> > and not the routers. The IP-backbone is provisioned by a network
> > management system.
>
> could avoid all of these issues:
> (1) The media gateway could speak RSVP to the network management system,
>         avoiding any need to deal with SIP here.
> (2a) A media gateway is likely to handle enough flows to be consistent
>         with the fine-grained adjustment assumed by the work done to
> date.
> (2b) One can plausibly assume/require that media gateways be trusted
>         with respect to the IP network.
> To the extent that one can vest "edge" functionality in a trusted
> media gateway, I see no reason to exclude that scenario.
>
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
>
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pcn
>
_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn